# NEW IN 1.1.0
- Added Held Component to Powers.
- Added Config Presets.
- Changed Default Preset to Vanilla+.
- Changed Config Structure.

​
### The Config Structure has been reordered. Please delete your Config File to generate a new one. Future updates will attempt to avoid this. I apologize for the inconvenience.

​
## ABOUT
Changes Forsaken Powers to have a Passive, an Equipped Passive, an Active, and a Shared Active Component. Includes Power Cycling. Fully Customizable.

​
### Passive
> Stats from this Component are always granted to the Player.
> - Example: Eikthyr's Passive of `Max Stamina +25` will always be granted.

### Equipped Passive
> Stats from this Component are always granted to the Player while the Power is Equipped.
> - Example: Eikthyr's Equipped Passive of `Jump +50%` will be granted while Eikthyr's Power is Equipped.

### Active
> Stats from this Component are granted to the Player for a period of time when the Power is Active.
> - Example: Eikthyr's Active of `Stamina Regeneration +100%` will be granted when Eikthyr's Power is Active.

### Shared Active
> Stats from this Component are granted to the Player for a period of time when any Power is Active.
> - Example: Moder's Shared Active of `Stamina Regeneration +50%` will stack with Eikthyr's Active of `Stamina Regeneration +50%` for a total of `+100%` when Eikthyr's Power is Active.

​
### Power Cycling
> You no longer need to go to the Stone Temple every time you want change your current Power.
> Default Button: `G`

​
<details><summary>Full List of Features</summary>

- Powers now have a Passive, and Equipped Passive, an Active, and a Shared Active Component.
- Powers can now be cycled with `G` (`Configurable`).
- Access to Powers and their Stats are World-Dependent.
- Hanging Boss Trophies will unlock their Powers automagically.
- Each Power's Stats (`Configurable`) can be viewed from the Hanged Trophies or through the Compendium.
- Corpse Run can be Disabled (`Configurable`) for Game Balance.
</details>

### This Mod is best experienced in a New World. If you are installing it on an already-existing World, you will need to go to the Stone Temple (Boss Stones / Trophy Area) at least once.

​
## CONFIGURATION
This Mod comes with a Default `Vanilla+` Preset. You must change it to `Custom` to load your own Config.
- Changes to Passive Components are applied immediately.
- Changes to Active and Shared Active Components will be applied on the next Power Activation.
- Everything but the `Power Cycle Key` is Server-Synced.

​
<details><summary>Currently Available Presets</summary>

- Custom
- Vanilla
- Vanilla+
- Passive Powers
</details>

​
<details><summary>Currently Supported Stats</summary>

- Max Health
- Health Regen
- Health Regen Modifier
- Max Stamina
- Stamina Regen Modifier
- Max Eitr
- Eitr Regen Modifier
- Max Weight
- Move Speed Modifier
- Jump Force Modifier
- Max Fall Speed
- Equipment Speed Modifier
- Wind Speed Modifier
- Run Stamina Cost Modifier
- Jump Stamina Cost Modifier
- Stealth Modifier
- Noise Modifier
- Status Attribute
- Outgoing Damage Modifier
- Fall Damage Modifier
- Incoming Damage Modifier
</details>

### This Mod's Config File is over 3,300 Lines long. Please use the in-game Config Manager by BepInEx for ease of use.

​
## COMPATIBILITY
### Compatible
  - Auga
    > Tooltips and Compendium Entries will be worked on when the Auga API Documentation is released.

​
### Compatible but Check for Config Priority
  > Mods that change Forsaken Power Duration and Cooldown.
  - Valheim Plus

​
### Incompatible
  > Mods that change Forsaken Power Behavior.  
  > Mods that add Custom Powers. Support will be added on request.
  - Passive Powers
  - Forsaken Power Plus

​
## INSTALLATION
This Mod is required on BOTH the Client and the Server.
#### Manual / Server
- Place the `.dll` File in `Valheim/BepInEx/Plugins`.

​
## AUTHOR INFORMATION
### JuneGame
#### Contact
- Feedback, Questions, and Suggestions can be brought up in my Discord Server.  
`DISCORD` https://discord.gg/XeSjwzQZyq

#### Support
- If you like my work, please consider supporting!  
`KO-FI` https://ko-fi.com/JuneGame